import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  fileSize: z.literal(true).optional(),
  folderId: z.literal(true).optional(),
  totalChunks: z.literal(true).optional()
}).strict();
export const CloudFileSumAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileSumAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileSumAggregateInputType>;
export const CloudFileSumAggregateInputObjectZodSchema = makeSchema();
